Skip to main content
`Ctrl`+`K`

# MatSeqSBAIJSetColumnIndices

Set the column indices for all the rows in a `MATSEQSBAIJ` matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqSBAIJSetColumnIndices(Mat mat, PetscInt *indices)

## Input Parameters

- mat - the `MATSEQSBAIJ` matrix

- indices - the column indices

## Notes

This can be called if you have precomputed the nonzero structure of the matrix and want to provide it to the matrix object to improve the performance of the `MatSetValues()` operation.

You MUST have set the correct numbers of nonzeros per row in the call to `MatCreateSeqSBAIJ()`, and the columns indices MUST be sorted.

MUST be called before any calls to `MatSetValues()`

## See Also

Matrices, `Mat`, `MATSEQSBAIJ`, `MatCreateSeqSBAIJ`

## Level

advanced

## Location

src/mat/impls/sbaij/seq/sbaij.c

## Implementations

MatSeqSBAIJSetColumnIndices_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages